<h5>Tables: handling table nesting and other unwanted ("boring") tables</h5>

<p>Handling of tables with nested tables has been implemented. This is necessary because
  nested tables can't be translated into correct dokuwiki syntax.</p>

<p>The command-line switch <code>--boring-tables-bodylevel</code>
  turns also on the special handling of tables which are immediate
  children of <code>BODY</code> (actually, not counting intermediate
  <code>DIV</code>s). They are not translated into dokuwiki tables as
  well. (This can be useful for MSOffice-generated documents where
  toplevel tables are used for layout.)</p>

<h6>Future work</h6>

<p>The code for handling nested tables can, in fact, be useful for any
  other HTML::WikiConverter dialect modules. In fact, it needs even no
  code changes, and so it should be transferred into WikiConverter.pm.
  The dialects should then add a call to
  <code>_mark_complex_tables_boring</code>
  in <code>preprocess_node</code>, if they wish, and add rules for the
  new special tags: 
  <code>boringtable boringtbody boringthead boringtfoot boringtr
  boringth boringtd</code>.
  I needed to put just a pair of obvious rules:</p>

<pre>
    boringtd => { block => 1, trim => 'both', line_format => 'blocks' },
    boringth => { alias => 'boringtd' },
</pre>

<p>to treat every "boring" table cell as a block of blocks.</p>

<p>"Boring" are the tables which we can't represent as tables; 
<code>_mark_complex_tables_boring</code> marks the higher-level tables
which have nested tables inside as "boring". You may wish to define
your own procedure with a different principle.</p>

<p>Our code for handling body-level tables can also be re-used in
  other dialects.</p>

<p>In future, there may be a general option to select different ciriteria for
  marking tables boring, like
  <code>--boring-tables=bodylevel</code>.</p>
